package com.aidlab.aidlab_sdk

import android.util.Log
import androidx.annotation.NonNull

import io.flutter.embedding.engine.plugins.FlutterPlugin
import io.flutter.plugin.common.BinaryMessenger

class AidlabSdkPlugin: FlutterPlugin {
  
  private val aidlabSdkHandler = AidlabSdkHandler()

  override fun onAttachedToEngine(@NonNull binding: FlutterPlugin.FlutterPluginBinding) {
    Log.d("TETIMO_TAG", "onAttachedToEngine")

    aidlabSdkHandler.onAttachedToEngine(binding)
  }

  override fun onDetachedFromEngine(@NonNull binding: FlutterPlugin.FlutterPluginBinding) {
    Log.d("TETIMO_TAG", "onDetachedFromEngine")
    
    aidlabSdkHandler.release()
  }
}


